org.apache.felix.ipojo.manipulator

## Interface Reporter

All Known Implementing Classes:
  EmptyReporter, SystemReporter

    public interface Reporter

A `Reporter` is responsible to handle feedback from within the manipulation process in order to let API consumers deal with errors and warnings.

Author:
  Felix Project Team

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `error(String message, Object... args)` Add a message in the error list.
`List<String>` `getErrors()`
`List<String>` `getWarnings()`
`void` `info(String message, Object... args)` Add an informative message It accepts a `Throwable` as last argument.
`void` `trace(String message, Object... args)` Add aa trace message It accepts a `Throwable` as last argument.
`void` `warn(String message, Object... args)` Add a message in the warning list.

### Method Detail

#### trace

    void trace(String message,
               Object... args)

Add aa trace message It accepts a `Throwable` as last argument.

Parameters:
  `message` - trace message.
  `args` - message's argument

#### info

    void info(String message,
              Object... args)

Add an informative message It accepts a `Throwable` as last argument.

Parameters:
  `message` - info message.
  `args` - message's argument

#### warn

    void warn(String message,
              Object... args)

Add a message in the warning list. It accepts a `Throwable` as last argument.

Parameters:
  `message` - warning message.
  `args` - message's argument

#### error

    void error(String message,
               Object... args)

Add a message in the error list. It accepts a `Throwable` as last argument.

Parameters:
  `message` - error message.
  `args` - message's argument

#### getErrors

    List<String> getErrors()

Returns:
  all the errors (fatal) reported by the manipulation process.

#### getWarnings

    List<String> getWarnings()

Returns:
  all the warnings (non fatal) reported by the manipulation process.